### Enumeration

# Aravis BufferPartDataType

#### Declaration

    enum Aravis.BufferPartDataType

#### Description

No description available.

#### Members

`ARV_BUFFER_PART_DATA_TYPE_UNKNOWN`

  No description available.

  - Value: `-1`
  - Available since: 0.8
`ARV_BUFFER_PART_DATA_TYPE_2D_IMAGE`

  No description available.

  - Value: `1`
  - Available since: 0.8
`ARV_BUFFER_PART_DATA_TYPE_2D_PLANE_BIPLANAR`

  No description available.

  - Value: `2`
  - Available since: 0.8
`ARV_BUFFER_PART_DATA_TYPE_2D_PLANE_TRIPLANAR`

  No description available.

  - Value: `3`
  - Available since: 0.8
`ARV_BUFFER_PART_DATA_TYPE_2D_PLANE_QUADPLANAR`

  No description available.

  - Value: `4`
  - Available since: 0.8
`ARV_BUFFER_PART_DATA_TYPE_3D_IMAGE`

  No description available.

  - Value: `5`
  - Available since: 0.8
`ARV_BUFFER_PART_DATA_TYPE_3D_PLANE_BIPLANAR`

  No description available.

  - Value: `6`
  - Available since: 0.8
`ARV_BUFFER_PART_DATA_TYPE_3D_PLANE_TRIPLANAR`

  No description available.

  - Value: `7`
  - Available since: 0.8
`ARV_BUFFER_PART_DATA_TYPE_3D_PLANE_QUADPLANAR`

  No description available.

  - Value: `8`
  - Available since: 0.8
`ARV_BUFFER_PART_DATA_TYPE_CONFIDENCE_MAP`

  No description available.

  - Value: `9`
  - Available since: 0.8
`ARV_BUFFER_PART_DATA_TYPE_CHUNK_DATA`

  No description available.

  - Value: `10`
  - Available since: 0.8
`ARV_BUFFER_PART_DATA_TYPE_JPEG`

  No description available.

  - Value: `11`
  - Available since: 0.8
`ARV_BUFFER_PART_DATA_TYPE_JPEG2000`

  No description available.

  - Value: `12`
  - Available since: 0.8
`ARV_BUFFER_PART_DATA_TYPE_DEVICE_SPECIFIC`

  No description available.

  - Value: `32768`
  - Available since: 0.8